Instagram
Instagram Post
Download Instagram Post, Reels, or IGTV — returns all media (video + image) with captions.
GET
/instapostSupports carousel posts with mixed video and image content. Returns thumbnail, type, and direct download URL for each item.
GET
/instapostParameters
Request
bash
1curl -X GET 'https://execross.com/api/v3/instapost?url=https%3A%2F%2Fwww.instagram.com%2Fp%2FDBap45xz3pb%2F%3Figsh%3DdTZsMjRicmdtOHM5' \
2 -H 'Accept: application/json' \
3 -H 'apikey: YOUR-APIKEY'Response
Click Send to execute the request.
Example response
json
1{
2 "creator": "EXECROSS",
3 "ip": "182.1.67.220",
4 "result": {
5 "caption": "Tentara Nasional Indonesia Angkatan Udara...",
6 "data": [
7 {
8 "thumbnail": "https://scontent.cdninstagram.com/...",
9 "type": "video",
10 "url": "https://scontent.cdninstagram.com/o1/v/t16/..."
11 },
12 {
13 "type": "image",
14 "url": "https://scontent.cdninstagram.com/v/t51.29350-15/..."
15 }
16 ]
17 },
18 "status": 200
19}Next
TikTok Profile
